Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__businessDetail Class Reference

Schema urn:uddi-org:api_v2:"businessDetail". More...

`#include <uddi_v2.h>`

List of all members.

## Public Attributes
std::vector< uddi2__businessEntity * > | businessEntity
| Vector of uddi2__businessEntity* with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
char * | operator_
| Attribute operator of type xs:string.
enum uddi2__truncated * | truncated
| Attribute truncated of type "urn:uddi-org:api_v2":truncated.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"businessDetail".

## Member Data Documentation

std::vector<uddi2__businessEntity* > uddi2__businessDetail::businessEntity

| Vector of uddi2__businessEntity* with length 0..unbounded.

char* uddi2__businessDetail::generic

| Attribute generic of type xs:string. Required attribute

char* uddi2__businessDetail::operator_

| Attribute operator of type xs:string. Required attribute

struct soap* uddi2__businessDetail::soap

| A handle to the soap struct context that manages this class instance.

enum uddi2__truncated* uddi2__businessDetail::truncated

| Attribute truncated of type "urn:uddi-org:api_v2":truncated. Optional attribute

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h